/* ------------------------------------------------------------ */
/* FileRead.rex                   V001.001 ---> 02.05.2014, und */
/* ------------------------------------------------------------ */
parse arg FileName
-- Test time to load using linein~makearray
   call time('r')
   say '<01> Load using linein~makearray'
   istream = .stream~new(FileName)
   iarray = istream~makearray
   say '    ' time('e') 'Seconds'
   say '    'iarray~items
   istream~close
   say iarray[122]
   drop iarray
   say

-- Test time to load using charin~makearray
   call time('r')
   say '<02> Load using charin~makearray'
   istream = .stream~new(FileName)
   iarray = istream~charin(,istream~chars)~makearray
   say '    ' time('e') 'Seconds'
   say '    ' iarray~items
   istream~close
   say iarray[122]
   drop iarray
   say

-- Test time to load using arrayin
   call time('r')
   say '<03> Load using arrayin'
   istream = .stream~new(FileName)
   iarray = istream~arrayin
   say '    ' time('e') 'Seconds'
   say '    ' iarray~items
   istream~close
   say iarray[122]
   drop iarray
   say

-- Test time to load using linein
   call time('r')
   say '<04> Load using linein'
   istream = .stream~new(FileName)
   iarray = .array~new
   do while istream~lines > 0
     iarray[iarray~items + 1] = istream~linein
   end
   say '    ' time('e') 'Seconds'
   say '    ' iarray~items
   istream~close
   say iarray[122]
   drop iarray
   say
