/* ------------------------------------------------------------ */
/* MqautRemove V001.001 --->                    14.05.2014, und */
/* Remove lines containing " -g mqm "                           */
/* Change oldString ---> newString                              */
/* ------------------------------------------------------------ */
parse arg inpFile oldString newString .
oldString = "_-g_mqm_"
newString = "_-g_te_"
oldString = oldString~changestr("_", " ")
newString = newString~changestr("_", " ")
  j = 0 ; k = 0
  inpFileLen = inpFile~length
  fByte = inpFile~substr(1,1)~c2x
  lByte = inpFile~substr(inpFileLen)~c2x
  if lByte = "20" then inpFile = inpFile~substr(1,inpFileLen - 1)
  if fByte = "22" & lByte = "22" then inpFile = inpFile~substr(2,inpFileLen - 2)
  inputFile = .stream~new(inpFile)
  fileData = inputFile~makearray("lines")
  cleanFile = .stream~new(inpFile || ".nomqm")
  cleanFile~open("both replace")
  mqmFile = .stream~new(inpFile || ".te")
  mqmFile~open("both replace")
  do i over fileData
    if i~pos(" -g mqm ") = 0
    then do
      k = k + 1
      i = i~changestr(oldString, newString)
      cleanFile~lineout(i)
    end
    else do
      j = j + 1
      i = i~changestr(oldString, newString)
      mqmFile~lineout(i)
     end
  end
  cleanFile~close
  mqmFile~close
  say "===> Lines with group mqm :" j
  say "===> Lines withouT mqm    :" k
  say "===> END ===> "
  pull .
exit
