/* ----------------------------------------------------------------  */
/* Log Channel Status                                                */
/* ig.CQ = "SYSTEM.ADMIN.COMMAND.QUEUE" (default)                    */
/* ig.RQ = "SYSTEM.MQSC.REPLY.QUEUE" (default)                       */
/* "SET MQSERVER=MQWIE2T.CH/TCP/ff0p5300apx.de.dresdnerkb.com(1415)" */
/* "SET MQSERVER=MQWIE8T.CH/TCP/ff0p5300apx.de.dresdnerkb.com(1414)" */
/* ----------------------------------------------------------------  */
trace ?i
"SET MQSERVER=MQWIE2T.CH/TCP/ff0p5300apx.de.dresdnerkb.com(1415)"
ig.QM = "MQWIE2"
ig.TO = 0
oldLogData = '' ; newLogData = ''
chlName = 'SV1510210.MQWIE2'
logFile = .stream~new("H:\_UK\MQ-Tools\Log\ChlMon.log")
mqCmdcur = 'DISPLAY CHSTATUS(SV1510210.MQWIE2) ALL'
mqCmdsav = 'DISPLAY CHSTATUS(SV1510210.MQWIE2) SAVED'
do j = 1
  rcc = RXMQC('ig.', mqCmdcur, 'og.')
  cmdident = 'Running '
  TimeStamp = "["date()~right(11) time()"]" chlName "--->"
  do i = 1 to og.0
    parse var og.1 amqmsg .
    if amqmsg = 'AMQ8420:'
    then do
      rcc = RXMQC('ig.', mqCmdsav, 'og.')
      cmdident = 'Sleeping'
    end
    parse var og.i 'CHSTADA('  chdate ')'
    parse var og.i 'CHSTATI('  chtime ')'
    parse var og.i 'CURMSGS('  curmsg ')'
    parse var og.i 'CURSEQNO(' curseq ')'
    parse var og.i 'LSTSEQNO(' lstseq ')'
    parse var og.i 'INDOUBT('  indobt ')'
    parse var og.i 'MCASTAT('  mcasta ')'
    parse var og.i 'MSGS('     msgnum ')'
    if chtime = '' then chtime = '--.--.--'
  end
  newLogData = chtime curseq
  if newLogData <> oldLogData
  then do
    logData = TimeStamp cmdident chtime~changestr('.',':') curseq~right(7) "["j~right(6)"]" 
    call WriteLog
    say logData
    oldLogData = newLogData
  end
  cmdident = 'Running '
  call SysSleep(10)
end
Exit

WriteLog:
  logOpen = ''
  do until logOpen = "READY:"
    logOpen = logFile~open
    if logOpen <> "READY:"
    then Call SysSleep 5
  end
  LogFile~Lineout(logData)
  LogFile~close
Return

/*
--    say '----------------------------------------------'
--    say 'Date            :' chdate
--    say 'Time            :' chtime
--    say 'Current Message :' curmsg
--    say 'Current SeqNum  :' curseq
--    say 'Last SeqNum     :' lstseq
--    say 'Indoubt         :' indobt
--    say 'McaStat         :' mcasta
--    say 'MessageNum      :' msgnum
*/
