/*----------------------------------------------------------------------------*/
/*                                                                            */
/*----------------------------------------------------------------------------*/
-- trace ?i
excelObject = .OLEObject~new("Excel.Application")
Worksheet = excelObject~Workbooks~Add~Worksheets[1]
myTitles="ABCDEFGHIJKLMNOPQRSTUVWXYZ"

do j = 1 to 1000
  do i = 1 to myTitles~length
    title = myTitles~substr(i,1)
    cell = Worksheet~Range(title||j) -- e.g. ~Range("A1")
    if j = 1 then do
      cell~value = "Type" title  -- header of first row
      cell~font~bold = .true
    end
    else if j = 1000 then do -- final row? yes, build sums
      /* set formula, e.g. "=SUMME(B2:B9)" */
      cell~formula = "=SUMME(?2:?9)"~translate(title,"?")
      cell~Interior~ColorIndex = 33 -- 24 light blue
    end
    else -- a row between 2 and 9: fill with random value
      cell~value = random()
  end
end

Worksheet~SaveAs("H:\_UK\MQ-Tools\Misc\demo.xls")
excelObject~Quit
exit


