/* ----------------------------- */
/* #!/usr/bin/rexx               */
/* ----------------------------- */

say 'begin'
.handler~new()
say 'end'

::class handler

::method init
  expose running
  running = .true
  self~start('inputMonitor')
  self~main()

::method inputMonitor unguarded
  expose running
  escapeKey = '1B'x
  do while running
    key = sysGetKey('noecho')
    say 'Input key ===> [' || key || ']' key~c2x
    if key == escapeKey then running = .false
  end

::method main
  expose running
  do count = 1 while running
    /* say 'looping' count     */
    /* call sysSleep 0.0000001 */
    call sysSleep 5
    say 'LoopCount ===>' count
  end
