/* ------------------------------------------------------------ */
/* MonitorFileEvents V001.001 --->              12.07.2006, und */
/* Windows file monitor for new and deleted files               */
/* Arguments: directory to monitor                              */
/*                                                              */
/* ------------------------------------------------------------ */
-- trace ?i
parse arg ApplID path
path = "P:\_NewStructure\MQ\Configurations\MQGatewayFFM"
ApplID = "NewRelease"
log_file = "H:\_UK\MQ-Tools\Log\FileMon.log"
LogFile = .stream~new(log_file)
EndOfProgram = 0
wait = 5
EventCount = 0
LogMsg = ApplID~left(15) "STA: --->" path
call WriteToLog

strComputer = "."
objWMIService = .oleObject~GetObject("winmgmts:\\"strComputer"\root\cimv2")

wmipath = path~changestr('\','\\\\')
colMonitoredEvents=objWMIService~ExecNotificationQuery("SELECT * FROM",
        "__InstanceOperationEvent",
        "WITHIN" wait "WHERE Targetinstance ISA 'CIM_DirectoryContainsFile' and ",
        "TargetInstance.GroupComponent= 'Win32_Directory.Name="""wmipath"""'")

Do until EndOfProgram = 1
  objEventObject = colMonitoredEvents~NextEvent()
  EventCount = EventCount + 1
  result = objEventObject~GetObjectText_
  target = objEventObject~TargetInstance~PartComponent
  parse var target .'='target
  target = target~changestr('\\','\')
  target = target~changestr('"','')
  LogMsg = ApplID~left(15)
  if target~right(4) = "stop"
  then do
    LogMsg = LogMsg "STP: <---" target
    EndOfProgram = 1
    call SysFileDelete target
  end
  if  EndOfProgram = 0
  then do
    select
    when result~pos("__InstanceCreationEvent") > 0
    then do
      LogMsg = LogMsg "NEW:" target
      inFileName = target~substr(target~lastpos("\") + 1)
      /* call SendInfoMail call WaitUntilComplete */
    end
    when result~pos("__InstanceDeletionEvent") > 0
    then do
      LogMsg = LogMsg "DEL:" target
    end
    otherwise do
      LogMsg = LogMsg "???: unknown event !"
    end
    end    /* End Select */
  end
  call WriteToLog
end
exit

WriteToLog:
  TimeStamp = "["date()~right(11) time()"] --->"
  log_open = ""
  do until log_open = "READY:"
    log_open = LogFile~open('write')
    if log_open <> "READY:"
    then Call SysSleep 1
    else LogFile~lineout(TimeStamp LogMsg "["EventCount"]")
  end
  say TimeStamp LogMsg "["EventCount"]"

  LogFile~close
return WriteToLog

WaitUntilComplete:
  CheckOpen = .stream~new(target)
  check_open = "" ; wait_time = 5
  do until check_open = "READY:" | check_open = "ERROR:2"
    check_open = CheckOpen~open('read')
    if check_open <> "READY:"
    then do
      LogMsg = "MainProg -----> FWT:" target "["check_open"]"
      call WriteToLog
      Call SysSleep wait_time
    end
  end
  CheckOpen~close
return WaitUntilComplete

SendInfoMail:
  call 'SmtpMail' 'A1 A2 A3'
return SendInfoMail
